/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.gui;

import com.jme3.asset.AssetManager;
import com.jme3.math.Vector2f;
import com.jme3.ui.Picture;
import tonegod.gui.controls.windows.Panel;
import tonegod.gui.core.Screen;

/**
 *
 * @author Darth Affe
 */
public abstract class BackgroundedGui extends Panel implements Gui {

    protected final AssetManager assetManager;

    public BackgroundedGui(Screen screen, Vector2f position, Vector2f dimension, AssetManager assetManager) {
        this(screen, position, dimension, assetManager, "Textures/bg.png");
    }

    public BackgroundedGui(Screen screen, Vector2f position, Vector2f dimension,
            AssetManager assetManager, String texture) {
        super(screen, position, dimension);
        this.assetManager = assetManager;
        addBackground(texture);
    }

    private void addBackground(String texture) {
        Picture bgImage = new Picture("Background");
        bgImage.setPosition(0f, 0f);
        bgImage.setImage(assetManager, texture, false);
        bgImage.setWidth(screen.getWidth());
        bgImage.setHeight(screen.getHeight());

        this.attachChild(bgImage);
    }
}
